[PATCH] D47760: utils/release: Add merge-git.sh

Hans Wennborg via Phabricator via llvm-commits llvm-commits at lists.llvm.org
Mon Jun 4 23:42:57 PDT 2018


hans added a comment.

Cool!



================
Comment at: utils/release/merge-git.sh:2
+#!/bin/bash
+#===-- merge-git.sh - Test the LLVM release candidates ---------------------===#
+#
----------------
"Test the ..." doesn't really apply, but I see we have it in the old script too :-/


================
Comment at: utils/release/merge-git.sh:62
+if ! svn ls http://llvm.org/svn/llvm-project/$proj/trunk > /dev/null 2>&1 ; then
+    echo "error: invalid project: $proj"
+    exit 1
----------------
$proj doesn't seem to be used below. Is this assuming the monorepo? Or that the user is in the repository of the project they want to merge to/from?

Maybe the comment on the top of the file could have a short info about the expectations, i.e. where the script expects to be run, how the git repository was set up, etc?


================
Comment at: utils/release/merge-git.sh:67
+# Rebuild revision map
+git_hash=`git svn find-rev r$rev origin/master` &>/dev/null
+
----------------
If this first invocation is only to rebuild the map, maybe don't store it into git_hash?


Repository:
  rL LLVM

https://reviews.llvm.org/D47760





More information about the llvm-commits mailing list